(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      5188,        151]
NotebookOptionsPosition[      4265,        127]
NotebookOutlinePosition[      4700,        144]
CellTagsIndexPosition[      4657,        141]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8117965558478513`*^9, 
  3.8117965587254133`*^9}},ExpressionUUID->"8975b5c5-c3cd-4739-936c-\
9fd822912c8a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "b"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "k"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "b"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "a"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "k"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "b"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "j"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"h", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "j"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "a"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "i"}], "}"}]}], "}"}], ",", 
     RowBox[{"dirigido", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Total", "[", 
  RowBox[{
   RowBox[{"Valencias", "[", "grafo", "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Total", "[", 
  RowBox[{
   RowBox[{"Valencias", "[", "grafo", "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "2"}], "]"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.811796568532981*^9, 3.811796635339125*^9}, {
  3.8117970124014063`*^9, 3.811797012714438*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"765fa688-bc16-452a-9309-245dafa6239a"],

Cell[BoxData["22"], "Output",
 CellChangeTimes->{{3.8117966099643292`*^9, 3.811796635746291*^9}, 
   3.8117970135020914`*^9, 3.8117974167976217`*^9},
 CellLabel->"Out[50]=",ExpressionUUID->"3966add2-4e6e-4b7f-8632-e25c8c52ba64"],

Cell[BoxData["22"], "Output",
 CellChangeTimes->{{3.8117966099643292`*^9, 3.811796635746291*^9}, 
   3.8117970135020914`*^9, 3.811797416798619*^9},
 CellLabel->"Out[51]=",ExpressionUUID->"b3567df0-99b0-46e1-9576-b4de0efcbbfb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"CantAristas", "[", "grafo", "]"}], ",", 
   RowBox[{"CantNodos", "[", "grafo", "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.8117955748831916`*^9, 3.811795578012579*^9}, {
  3.811796641774892*^9, 3.81179664361798*^9}, {3.811797289555487*^9, 
  3.8117973120977983`*^9}, {3.8117973874103556`*^9, 3.811797406847915*^9}},
 CellLabel->"In[52]:=",ExpressionUUID->"bb6af8c9-28b7-46fc-8b1d-f49b742bba5d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"22", ",", "11"}], "}"}]], "Output",
 CellChangeTimes->{
  3.8117966444238214`*^9, 3.8117970165160484`*^9, 3.811797312525034*^9, {
   3.8117973966779723`*^9, 3.811797419609547*^9}},
 CellLabel->"Out[52]=",ExpressionUUID->"cbffd98b-d103-4a8d-aa22-5fc550e31832"]
}, Open  ]]
},
WindowSize->{729.5, 403.},
WindowMargins->{{Automatic, 30.5}, {17, Automatic}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"66c9ad5a-ebb5-4646-9184-c1a61d5b79c8"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 184, 4, 63, "Input",ExpressionUUID->"8975b5c5-c3cd-4739-936c-9fd822912c8a"],
Cell[CellGroupData[{
Cell[767, 28, 2233, 65, 632, "Input",ExpressionUUID->"765fa688-bc16-452a-9309-245dafa6239a"],
Cell[3003, 95, 228, 3, 100, "Output",ExpressionUUID->"3966add2-4e6e-4b7f-8632-e25c8c52ba64"],
Cell[3234, 100, 226, 3, 100, "Output",ExpressionUUID->"b3567df0-99b0-46e1-9576-b4de0efcbbfb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3497, 108, 450, 8, 135, "Input",ExpressionUUID->"bb6af8c9-28b7-46fc-8b1d-f49b742bba5d"],
Cell[3950, 118, 299, 6, 107, "Output",ExpressionUUID->"cbffd98b-d103-4a8d-aa22-5fc550e31832"]
}, Open  ]]
}
]
*)

